/*
 * Class LIST [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1990 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1990 [] = {0xFF01,1551,1989,854,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1990 [] = {0xFF01,1989,854,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1990 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1990 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1990 [] = {0xFF01,1989,854,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1990 [] = {0xFF01,1989,854,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1990 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1990 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1990 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1990 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1990 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1990 [] = {1989,854,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1990 [] = {0xFF01,1989,854,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1990 [] = {0xFF01,1971,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1990 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1990 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1990 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1990 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1990 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1990 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1990 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1990 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1990 [] = {0xFF01,1966,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1990 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1990 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1990 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1990 [] = {0xFF01,1989,854,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1990 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1990[] = {
	{EIF_GENERIC(NULL), 12491, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1990), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1990), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12492, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1990), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1990), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1990), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1990), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1990), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1990), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1990), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1990), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1990), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1990), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1990), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1990), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12267, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9223, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8654, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8655, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8656, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8657, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1990), 8902, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1990), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1990), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9308, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9309, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9097, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12263, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12268, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8977, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12271, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1990), 8895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12493, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12274, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1990), 12269, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1990), 12272, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12277, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1990), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12280, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12273, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8898, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8900, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8901, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1990), 12269, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1990), 12270, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12277, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12283, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12283, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9042, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9312, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12261, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9313, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9314, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1990), 11020, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1990), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12494, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8893, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9310, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12284, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1990), 12265, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1990), 12266, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12275, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12278, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12279, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12281, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12282, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12262, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1990), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8892, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8891, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12271, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1990), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1990(void)
{
	IDSC(desc_1990, 0, 1989);
	IDSC(desc_1990 + 1, 1, 1989);
	IDSC(desc_1990 + 32, 1134, 1989);
	IDSC(desc_1990 + 41, 1060, 1989);
	IDSC(desc_1990 + 47, 1444, 1989);
	IDSC(desc_1990 + 56, 1570, 1989);
	IDSC(desc_1990 + 59, 1534, 1989);
	IDSC(desc_1990 + 66, 916, 1989);
	IDSC(desc_1990 + 72, 1135, 1989);
	IDSC(desc_1990 + 81, 1088, 1989);
	IDSC(desc_1990 + 83, 1245, 1989);
	IDSC(desc_1990 + 86, 387, 1989);
	IDSC(desc_1990 + 88, 636, 1989);
	IDSC(desc_1990 + 102, 778, 1989);
	IDSC(desc_1990 + 103, 254, 1989);
	IDSC(desc_1990 + 106, 554, 1989);
	IDSC(desc_1990 + 107, 878, 1989);
	IDSC(desc_1990 + 108, 794, 1989);
}


#ifdef __cplusplus
}
#endif
